Name:          drumrox
Version:       3.3.1
Release:       %mkrel 2
Summary:       An LV2 sampler plugin that plays hydrogen drum kits
Group:         Sound/Midi
License:       GPLv3
URL:           https://github.com/psemiletov/drumrox
Source0:       https://github.com/psemiletov/drumrox/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         drumrox-cmake-4.0.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  expat-devel
Obsoletes:      drmr < git20120709-8
Provides:       drmr-%{version}
Requires:       lv2
Requires:       hydrogen
Requires:       hydrogen-drumkits


%description
Drumrox is an easy way to write drum tracks as MIDI at your DAW, using Hydrogen
and Drumrox kits. Consider to use my another drum machine, Drumlabooh, that
compatible with all DAW's.

Drumrox is LV2 drum machine (based on DrMr) to load Hydrogen and Drumrox
drumkits. Drumrox is compatible with MODERN Hydrogen kit format. More of that,
Drumrox has own simple drumkit format and the repository with Drumrox kits


%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -pthread"
%cmake -DLV2_INSTALL_DIR:PATH=%{_lib}/lv2
%cmake_build

%install
%cmake_install

%files
%{_libdir}/lv2/*



%changelog
* Sat Jul 12 2025 daviddavid <daviddavid> 3.3.1-2.mga10
+ Revision: 2253375
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Sep 13 2024 papoteur <papoteur> 3.3.1-1.mga10
+ Revision: 2095589
- replace drmr with the fork drumbox
- version 3.3.1
- move from drmr too fork drumrox

* Fri Apr 01 2022 umeabot <umeabot> git20120709-7.mga9
+ Revision: 1838533
- Mageia 9 Mass Rebuild

* Mon Nov 02 2020 joequant <joequant> git20120709-6.mga8
+ Revision: 1641831
- fix deps

* Thu Feb 13 2020 umeabot <umeabot> git20120709-5.mga8
+ Revision: 1511921
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> git20120709-4.mga7
+ Revision: 1297510
- Mageia 7 Mass Rebuild

* Sat Jan 20 2018 semiletov <semiletov> git20120709-3.mga7
+ Revision: 1195155
- LV2_INSTALL_DIR re-define

* Sat Jan 20 2018 semiletov <semiletov> git20120709-2.mga7
+ Revision: 1195065
- spec fixes to make debug rpm possible

* Fri Jan 19 2018 semiletov <semiletov> git20120709-1.mga7
+ Revision: 1194695
- i586 fix for the spec
- imported package drmr

